import 'package:flutter/material.dart';

import 'package:flutter_aws_chime/models/join_info.model.dart';
import 'package:flutter_aws_chime/views/meeting.view.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatefulWidget {
  const MyApp({super.key});

  @override
  State<MyApp> createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: SafeArea(
        child: Scaffold(
          body: MeetingView(
            JoinInfo(
              MeetingInfo.fromJson({
                "ExternalMeetingId": "1702260084609",
                "MediaPlacement": {
                  "AudioFallbackUrl":
                      "wss://haxrp.m2.ue1.app.chime.aws:443/calls/d1828a3f-ffc7-4015-83c9-765d93c82713",
                  "AudioHostUrl":
                      "cd22b8697d4baf287cc44209647f3fa0.k.m2.ue1.app.chime.aws:3478",
                  "EventIngestionUrl":
                      "https://data.svc.ue1.ingest.chime.aws/v1/client-events",
                  "ScreenDataUrl":
                      "wss://bitpw.m2.ue1.app.chime.aws:443/v2/screen/d1828a3f-ffc7-4015-83c9-765d93c82713",
                  "ScreenSharingUrl":
                      "wss://bitpw.m2.ue1.app.chime.aws:443/v2/screen/d1828a3f-ffc7-4015-83c9-765d93c82713",
                  "ScreenViewingUrl":
                      "wss://bitpw.m2.ue1.app.chime.aws:443/ws/connect?passcode=null&viewer_uuid=null&X-BitHub-Call-Id=d1828a3f-ffc7-4015-83c9-765d93c82713",
                  "SignalingUrl":
                      "wss://signal.m2.ue1.app.chime.aws/control/d1828a3f-ffc7-4015-83c9-765d93c82713",
                  "TurnControlUrl":
                      "https://2713.cell.us-east-1.meetings.chime.aws/v2/turn_sessions"
                },
                "MediaRegion": "us-east-1",
                "MeetingArn":
                    "arn:aws:chime:us-east-1:625540222127:meeting/d1828a3f-ffc7-4015-83c9-765d93c82713",
                "MeetingId": "d1828a3f-ffc7-4015-83c9-765d93c82713",
                "TenantIds": []
              }),
              AttendeeInfo.fromJson({
                "AttendeeId": "aa2475fb-e109-6ac3-3cae-9613627054e4",
                "Capabilities": {
                  "Audio": "SendReceive",
                  "Content": "SendReceive",
                  "Video": "SendReceive"
                },
                "ExternalUserId": "helloyou",
                "JoinToken":
                    "YWEyNDc1ZmItZTEwOS02YWMzLTNjYWUtOTYxMzYyNzA1NGU0OmM4YzI1YjBlLTIzZjItNDcwZS05ZmM5LTg2ZmFkZWE5MTlkZA"
              }),
            ),
          ),
        ),
      ),
    );
  }
}
